[Log]
; Text log level
; 0, No text log
; 1, Log errors,default value
; 2, Log warnings
; 3, Log runtime information
; 4, Log data only
; 5, Log everything
Level = 0

; 0x4000, Text log,default value
; 0x8100, Binary log,log received data
; 0x8200, Binary log,log sent data
; 0x8300, Binary log,log received data and sent data
; you can conbine these flags
Type = 0x4000

[Settings]
;use memory pool flag, default value is 1
UseMempool =1
;above is common for SOCKET and UART

;COM input/output queue size, default value is 4096 (4K)
CommQueueSize = 4096

;SOCKET receive buffer size, default value is 2048 (2K)
MaxRcvSize = 2048

;SOCKET client connect timeout,, default value is 500ms
ConnectTimeout = 1000

[CommTimeouts]
;this configure is for COM(UART)
;Default values as below if you don't set these values
ReadIntervalTimeout          = 0xFFFFFFFF
ReadTotalTimeoutMultiplier   = 0
ReadTotalTimeoutConstant     = 0
WriteTotalTimeoutMultiplier  = 1
WriteTotalTimeoutConstant    = 2000

;ReadIntervalTimeout          = 5
;ReadTotalTimeoutMultiplier   = 1
;ReadTotalTimeoutConstant     = 80
;WriteTotalTimeoutMultiplier  = 1
;WriteTotalTimeoutConstant    = 0

;[CommState]
;-1, keep original value
;fDtrControl=0
;fRtsControl=-1
;fOutX=0
;fInX=0
;fOutxCtsFlow=0
;fOutxDsrFlow=0
;fTXContinueOnXoff=0
